From 8accb25fd3df6d94c8e4947e9d8b49aa4f9445b9 Mon Sep 17 00:00:00 2001
From: Chen Qun <kuhn.chenqun@huawei.com>
Date: Wed, 8 Apr 2020 19:43:22 +0800
Subject: [PATCH 03/16] numa_maxnodes: set maxnode from 128 to 32.

Set maxnode from 128 to 32 for openEuler.

Signed-off-by: Chen Qun <kuhn.chenqun@huawei.com>
---
 qemu/tests/cfg/numa_opts.cfg | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/qemu/tests/cfg/numa_opts.cfg b/qemu/tests/cfg/numa_opts.cfg
index 29d14d26..89a8bdab 100644
--- a/qemu/tests/cfg/numa_opts.cfg
+++ b/qemu/tests/cfg/numa_opts.cfg
@@ -90,13 +90,13 @@
               extra_params += " -numa node,mem=2560,cpus=5,nodeid=2"
               extra_params += " -numa node,mem=512,cpus=3-4,nodeid=0"
               extra_params += " -numa node,mem=1024,cpus=0-2,nodeid=1"
-    - nodes.128:
+    - nodes.32:
         type = numa_maxnodes
-        numa_nodes = 128
+        numa_nodes = 32
         mem_fixed = 4G
         vm_mem_minimum = 4G
         use_mem = no
-        node_size = 32M
+        node_size = 128M
         ppc64,ppc64le:
             mem_fixed = 32G
             node_size = 256M
@@ -106,4 +106,4 @@
         policy_mem = default
         Linux:
             numa_cmd = "cat /sys/devices/system/node/possible"
-            numa_expected = "0-127"
+            numa_expected = "0-31"
-- 
2.23.0

